package com.multictrl.modules.business.service;

import cn.hutool.json.JSONArray;
import com.multictrl.modules.business.dao.SrsRecordDao;
import com.multictrl.modules.business.dto.SrsCallBackDTO;
import com.multictrl.modules.business.entity.SrsRecordEntity;

/**
 * 视频服务接口
 *
 * @author Sdy
 * @since 1.0.0 2026/4/24
 */
public interface SrsService {

    //保存直播流记录
    void saveSrsRecord(SrsCallBackDTO srsCallBack);

    //校验token
    boolean checkToken(SrsCallBackDTO srsCallBack);

    //获取sn下直播流
    JSONArray streamsBySn(String dockSn);

    //获取机场推流地址
    String getDockPushLiveUrl(String dockSn);

    //获取飞机推流地址
    String getUavPushLiveUrl(String dockSn);

    //获取dao
    SrsRecordDao getDao();
}
